
Operating Systems - Feature # 27: Support 64-bit operating systems

Status: Closed Priority: Normal

Author: admin Category:

Created: 2010-07-01 Assigned to:

Updated: 2016-04-24 Due date:

Subject: Support 64-bit operating systems

Description: Currently only 32-bit Linux distributions are offered at BitFolk even though most of the host machines run 

64-bit Debian. Some people request 64-bit.



The major advantage of 64-bit is better memory handling, which doesn't apply on VPSes that have such a 

small memory allowance, and may even prove detrimental.



It is possible that the extra registers available under 64-bit might improve some workloads.



A 64-bit install is required at the moment for using ZFS:



http://zfsonlinux.org/faq.html#WhyShouldIUseA64BitSystem



The main reason why BitFolk doesn't yet support 64-bit is purely because it would nearly double the number 

of install images that must be managed, and has no clear advantages.



Depends on issue #103 (rescue environment to support 64-bit).



*Update: 2012-06-16:* Due to the discovery of a bug in Intel CPUs which allow 64-bit paravirtual guests to 

crash or potentially take over the hypervisor, the running of 64-bit guests at BitFolk is currently disabled. 

Upgrades to fix the bug are being scheduled and after they are done 64-bit guests will again be technically 

possible. See http://lists.bitfolk.com/lurker/message/20120612.145214.5dabc7ba.en.html for more info.

History

2010-07-01 12:13 - admin

- Project changed from BitFolk to Operating Systems

2012-06-16 13:16 - admin

Added note to the description regarding CVE-2012-0217 which has lead to 64-bit guests being temporarily disabled at BitFolk.

2012-09-03 23:39 - admin

Added link about ZFS on Linux requiring 64-bit

2016-04-24 15:18 - admin

- Status changed from New to Resolved

64-bit is now the default at BitFolk. You can switch between 64- and 32-bit installers in the Xen Shell.

2016-04-24 15:19 - admin

- Status changed from Resolved to Closed
